Debian Bug report logs - #444311
libgsasl7-dev: Missing dependency to libntlm0-dev

version graph

Package: libgsasl7-dev; Maintainer for libgsasl7-dev is Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>; Source for libgsasl7-dev is src:gsasl.

Reported by: Harald Braumann <harry@unheit.net>

Date: Thu, 27 Sep 2007 17:39:01 UTC

Severity: grave

Tags: patch

Found in version gsasl/0.2.21-1

Fixed in version gsasl/0.2.21-1.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Bug#444311; Package libgsasl7-dev. Full text and rfc822 format available.

Acknowledgement sent to Harald Braumann <harry@unheit.net>:
New Bug report received and forwarded. Copy sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Braumann <harry@unheit.net>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: libgsasl7-dev: Missing dependency to libntlm0-dev
Date: Thu, 27 Sep 2007 19:36:53 +0200
Package: libgsasl7-dev
Version: 0.2.21-1
Severity: normal

libgsasl7-dev should depend on libntlm0-dev because it's needed for linking.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22.5 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgsasl7-dev depends on:
ii  libgsasl7                     0.2.21-1   GNU SASL library
ii  libidn11-dev                  1.1-1      Development files GNU libidn, impl
ii  pkg-config                    0.22-1     manage compile and link flags for 

libgsasl7-dev recommends no packages.

-- no debconf information




Severity set to `grave' from `normal' Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:30:02 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:30:03 GMT) Full text and rfc822 format available.

Blocking bugs of 444551 added: 444311 Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Bug#444311; Package libgsasl7-dev. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>. Full text and rfc822 format available.

Message #16 received at 444311@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 444551@bugs.debian.org
Cc: 444311@bugs.debian.org, control@bugs.debian.org, asac@debian.org
Subject: Re: Bug#444551: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sun, 30 Sep 2007 06:29:53 +0200
[Message part 1 (text/plain, inline)]
severity 444311 grave
tag 444311 patch
block 444551 by 444311
tag 444551 patch
thanks

Lucas Nussbaum <lucas@lucas-nussbaum.net> (29/09/2007):
> libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
> grep: /usr/lib/libntlm.la: No such file or directory
> /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> make[3]: *** [libmuauth.la] Error 1

Hi.

You might want to use a versioned B-D on libgsasl7-dev, to ensure you're
building against a fixed version, once #444311 is solved.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Bug#444311; Package libgsasl7-dev. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>. Full text and rfc822 format available.

Message #21 received at 444311@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 444549@bugs.debian.org
Cc: 444311@bugs.debian.org, control@bugs.debian.org, asac@debian.org
Subject: Re: Bug#444549: libvmime: FTBFS: /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
Date: Sun, 30 Sep 2007 06:32:18 +0200
[Message part 1 (text/plain, inline)]
block 444549 by 444311
tag 444549 patch
thanks

Lucas Nussbaum <lucas@lucas-nussbaum.net> (29/09/2007):
> creating libvmime.la
> /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> make[3]: *** [libvmime.la] Error 1

Hi.

What I wrote in my answer to #444551 applies to this package as well.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Blocking bugs of 444549 added: 444311 Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sun, 30 Sep 2007 04:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Bug#444311; Package libgsasl7-dev. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>. Full text and rfc822 format available.

Message #28 received at 444311@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 444551@bugs.debian.org, 444311@bugs.debian.org, asac@debian.org, 444549@bugs.debian.org
Subject: Re: Bug#444551: mailutils: FTBFS: grep: /usr/lib/libntlm.la: No such file or directory
Date: Sun, 14 Oct 2007 17:52:17 +0200
On Sun, Sep 30, 2007 at 06:29:53AM +0200, Cyril Brulebois wrote:
> severity 444311 grave
> tag 444311 patch
> block 444551 by 444311
> tag 444551 patch
> thanks

I don't see a patch in the BTS anywhere.

> Lucas Nussbaum <lucas@lucas-nussbaum.net> (29/09/2007):
> > libtool: link: warning: `/usr/lib/gcc/i486-linux-gnu/4.2.1/../../../../lib//libgdbm.la' seems to be moved
> > grep: /usr/lib/libntlm.la: No such file or directory
> > /bin/sed: can't read /usr/lib/libntlm.la: No such file or directory
> > libtool: link: `/usr/lib/libntlm.la' is not a valid libtool archive
> > make[3]: *** [libmuauth.la] Error 1
> 
> Hi.
> 
> You might want to use a versioned B-D on libgsasl7-dev, to ensure you're
> building against a fixed version, once #444311 is solved.

There is no need to to add a versioned build-depends.  Just close
those bugs (without version) once #444311 is solved.


Kurt





Tags added: pending Request was from cascardo@minaslivre.org (Thadeu Lima de Souza Cascardo) to control@bugs.debian.org. (Fri, 04 Jan 2008 18:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>:
Bug#444311; Package libgsasl7-dev. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>. Full text and rfc822 format available.

Message #35 received at 444311@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 444311@bugs.debian.org
Subject: gsasl: diff for NMU version 0.2.21-1.1
Date: Sat, 12 Jan 2008 21:23:35 +0100
[Message part 1 (text/plain, inline)]
tags 444311 + patch
thanks

Hi,

Attached is the diff for my gsasl 0.2.21-1.1 NMU.
[gsasl-0.2.21-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sat, 12 Jan 2008 20:33:03 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Harald Braumann <harry@unheit.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 444311-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 444311-close@bugs.debian.org
Subject: Bug#444311: fixed in gsasl 0.2.21-1.1
Date: Sat, 12 Jan 2008 21:47:03 +0000
Source: gsasl
Source-Version: 0.2.21-1.1

We believe that the bug you reported is fixed in the latest version of
gsasl, which is due to be installed in the Debian FTP archive:

gsasl_0.2.21-1.1.diff.gz
  to pool/main/g/gsasl/gsasl_0.2.21-1.1.diff.gz
gsasl_0.2.21-1.1.dsc
  to pool/main/g/gsasl/gsasl_0.2.21-1.1.dsc
gsasl_0.2.21-1.1_i386.deb
  to pool/main/g/gsasl/gsasl_0.2.21-1.1_i386.deb
libgsasl7-dev_0.2.21-1.1_i386.deb
  to pool/main/g/gsasl/libgsasl7-dev_0.2.21-1.1_i386.deb
libgsasl7_0.2.21-1.1_i386.deb
  to pool/main/g/gsasl/libgsasl7_0.2.21-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 444311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated gsasl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 21:18:37 +0100
Source: gsasl
Binary: libgsasl7 libgsasl7-dev gsasl
Architecture: source i386
Version: 0.2.21-1.1
Distribution: unstable
Urgency: low
Maintainer: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 gsasl      - GNU SASL command line utility
 libgsasl7  - GNU SASL library
 libgsasl7-dev - Development files for the GNU SASL library
Closes: 444311
Changes: 
 gsasl (0.2.21-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug.
   * Add to libgsasl7-dev a depend on libntlm0-dev. (Closes: #444311)
Files: 
 541dbc5579669e4cd059aca7d3276df8 770 devel optional gsasl_0.2.21-1.1.dsc
 25e55527569dea027aebf8e23d212a7c 26170 devel optional gsasl_0.2.21-1.1.diff.gz
 c253c5f41a0f176fa80bb190107fedd5 193612 libdevel optional libgsasl7-dev_0.2.21-1.1_i386.deb
 12787358915ce23fbab8ec8c23b382ba 110258 libs optional libgsasl7_0.2.21-1.1_i386.deb
 8c74055c51613b5b2a618406c7fadb4a 137308 devel optional gsasl_0.2.21-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHiTFfn3j4POjENGERAry8AJ0a+xIQuY7mameA3zcytb1wCeYyEgCff3tD
JAVbLeQAjGQ2WVZ6BCPxm5U=
=KZ4y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Feb 2008 07:26:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:40:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.